ISWSPACE(3)

NAME
iswspace - test for whitespace wide character

SYNOPSIS
#include <wctype.h>

int iswspace(wint_t wc);

DESCRIPTION
The iswspace function is the wide-character equivalent of the isspace function. It tests whether wc is a wide character belonging to the wide character class "space".

The wide character class "space" is disjoint from the wide character class "graph" and therefore also disjoint from its subclasses "alnum", "alpha", "upper", "lower", "digit", "xdigit", "punct".

The wide character class "space" contains the wide character class "blank".

The wide character class "space" always contains at least the space character and the control characters '\f', '\n', '\r', '\t', '\v'.

RETURN VALUE
The iswspace function returns non-zero if wc is a wide character belonging to the wide character class "space". Otherwise it returns zero.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
isspace(3), iswctype(3)

NOTES
The behaviour of iswspace depends on the LC_CTYPE category of the current locale.